This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 420161 - Review Request: python-bugzilla - A python library for interacting with Bugzilla.
Review Request: python-bugzilla - A python library for interacting with Bugzi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 12:34 EST by Will Woods
Modified: 2014-01-21 18:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 09:00:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
EL-5 mock build log files (3.16 KB, application/x-gzip)
2008-02-12 08:17 EST, Jeroen van Meeuwen
no flags Details

  None (edit)
Description Will Woods 2007-12-11 12:34:11 EST
Spec URL: http://wwoods.fedorapeople.org/python-bugzilla/python-bugzilla.spec
SRPM URL: http://wwoods.fedorapeople.org/python-bugzilla/python-bugzilla-0.2-2.fc8.src.rpm
Description: 
python-bugzilla is a python library for interacting with bugzilla instances
over XML-RPC. Currently it only supports the Red Hat Bugzilla web services.
This package also includes the 'bugzilla' commandline tool for interacting with
bugzilla.
Comment 1 Mat Booth 2007-12-11 14:37:03 EST
(Unofficial, I can't approve anything.)

The guidelines say you shouldn't have a full-stop at the end of the summary line
in your spec.

Rpmlint also threw up two other things:

python-bugzilla.noarch: W: spurious-executable-perm
/usr/share/doc/python-bugzilla-0.2/selftest.py
python-bugzilla.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/bugzilla.py 0644
Comment 2 Will Woods 2007-12-11 16:39:47 EST
Updated to fix the three things mentioned. Thanks.

Spec URL is the same. New SRPM is here:
http://wwoods.fedorapeople.org/python-bugzilla/python-bugzilla-0.2-3.fc8.src.rpm
Comment 3 Parag AN(पराग) 2007-12-11 22:22:47 EST
According to http://fedoraproject.org/wiki/Packaging/Python/Eggs
"We need to package eggs for those packages that provide them but if upstream
does not provide eggs we should only provide them if necessary to support
another package."

So I think we don't need to use eggs as upstream does not provide them.

Also, man page or some kind of documentation should be added on how to use
bugzilla command line tool.

Comment 4 Parag AN(पराग) 2007-12-11 22:24:06 EST
Else packaging looks ok.
rpmlint is silent.
Package installed correctly.
APPROVED.
Comment 5 Parag AN(पराग) 2007-12-11 22:46:36 EST
argh, I missed this
SHOULD:
/usr/bin/bugzilla be changed to use macros as %{_bindir}/bugzilla
before you will import this package.
Comment 6 Will Woods 2007-12-13 13:17:58 EST
Will do.

New Package CVS Request
=======================
Package Name: python-bugzilla
Short Description: A python library for interacting with Bugzilla
Owners: wwoods
Branches: F-7 F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-12-13 14:14:39 EST
cvs done.
Comment 8 Parag AN(पराग) 2007-12-15 04:36:08 EST
Is this built for all requested branches?
Comment 9 Will Woods 2007-12-17 13:30:05 EST
For F-7 and F-8, yes.

I haven't built it for EL-5 yet - I've never done an EPEL build before so I have
to figure out how that works first.
Comment 10 Parag AN(पराग) 2008-01-12 10:17:45 EST
ping?
Comment 11 Parag AN(पराग) 2008-01-25 00:54:24 EST
ping?
Comment 12 Parag AN(पराग) 2008-02-06 11:48:56 EST
is this built for EL-5?
Comment 13 Parag AN(पराग) 2008-02-11 06:51:43 EST
NOTE:- Almost 2 months are completing now but still this review is open because of 
submitter has not built package for EL-5
Comment 14 Jeroen van Meeuwen 2008-02-12 08:17:26 EST
Created attachment 294656 [details]
EL-5 mock build log files

Need this package for a local build system environment, it builds for EL-5 as
well:

http://www.kanarip.com/custom/el5/i386/python-bugzilla-0.2-4.el5.noarch.rpm

(Mock build log files attached)
Comment 15 Parag AN(पराग) 2008-02-12 08:35:13 EST
Sorry, I didn't get you. If this package is already built for EL-5 then you may
like to close this review.
Comment 16 Parag AN(पराग) 2008-02-12 09:00:21 EST
Strange last time I looked at
http://download.fedora.redhat.com/pub/epel/5/SRPMS/ I didn't find this package
appearing in public repo. But yes I do have checked logs already but not sure
whether build got some problem or something else happened.

Now I can see this package in repo.

CLOSING this.
Comment 17 Seth Vidal 2010-07-22 10:18:20 EDT
Package Change Request
======================
Package Name: python-bugzilla
New Branches: EL-6
Owners: wwoods
Comment 18 Kevin Fenzi 2010-07-23 17:54:42 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.